/*
* This program was created by AXELL CORPORATION.
* Copyright (C) 2017 AXELL CORPORATION, all rights reserved.
*/
#ifndef _COM_H_
#define _COM_H_

#ifdef __cplusplus
extern "C" {
#endif

_Bool ComCheckInit(void);
void COM_PutStr(char* str);
void COM_GetNum_Wait(char *buf, uint8_t size);
void COM_GetChara_Wait(char *buf, uint8_t size);
void COM_GetChara(char *buf, uint8_t size, void* callback);

#ifdef __cplusplus
}
#endif
#endif /* _COM_H_ */

